Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.muc
Enum HistoryStrategy.Type

    java.lang.Object
      java.lang.Enum<HistoryStrategy.Type>
          org.jivesoftware.openfire.muc.HistoryStrategy.Type

All Implemented Interfaces:
  Serializable, Comparable<HistoryStrategy.Type>

Enclosing class:
  HistoryStrategy

    public static enum HistoryStrategy.Type

extends Enum<HistoryStrategy.Type>

Strategy type.

Enum Constant Summary
`all`
`defaulType`
`none`
`number`

Method Summary
`static HistoryStrategy.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HistoryStrategy.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### defaulType

    public static final HistoryStrategy.Type defaulType

### none

    public static final HistoryStrategy.Type none

### all

    public static final HistoryStrategy.Type all

### number

    public static final HistoryStrategy.Type number

Method Detail

### values

    public static final HistoryStrategy.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(HistoryStrategy.Type c : HistoryStrategy.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static HistoryStrategy.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2007 Jive Software.